
From: Domen Puncer <domen@coderock.org>

Make code more readable with list_for_each_entry.

Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Maximilian Attems <janitor@sternwelten.at>
Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/namespace.c |    4 +---
 1 files changed, 1 insertion(+), 3 deletions(-)

diff -puN fs/namespace.c~janitor-fs-namespacec-list_for_each_entry fs/namespace.c
--- devel/fs/namespace.c~janitor-fs-namespacec-list_for_each_entry	2005-08-08 23:15:42.000000000 -0700
+++ devel-akpm/fs/namespace.c	2005-08-08 23:15:42.000000000 -0700
@@ -537,7 +537,6 @@ lives_below_in_same_fs(struct dentry *d,
 static struct vfsmount *copy_tree(struct vfsmount *mnt, struct dentry *dentry)
 {
 	struct vfsmount *res, *p, *q, *r, *s;
-	struct list_head *h;
 	struct nameidata nd;
 
 	res = q = clone_mnt(mnt, dentry);
@@ -546,8 +545,7 @@ static struct vfsmount *copy_tree(struct
 	q->mnt_mountpoint = mnt->mnt_mountpoint;
 
 	p = mnt;
-	for (h = mnt->mnt_mounts.next; h != &mnt->mnt_mounts; h = h->next) {
-		r = list_entry(h, struct vfsmount, mnt_child);
+	list_for_each_entry(r, &mnt->mnt_mounts, mnt_child) {
 		if (!lives_below_in_same_fs(r->mnt_mountpoint, dentry))
 			continue;
 
_
